Name:		log4net
URL:		https://logging.apache.org/log4net/
License:	ASL 2.0
Group:		Development/Other
Version:	2.0.8
Release:	%mkrel 7
Summary:	A .NET framework for logging
Source:		https://archive.apache.org/dist/logging/log4net/source/%{name}-%{version}-src.zip
Source1:	log4net.pc
# https://github.com/apache/logging-log4net/commit/d0b4b0157d4af36b23c24a23739c47925c3bd8d7
Patch0:         d0b4b0157d4af36b23c24a23739c47925c3bd8d7.patch 
BuildRequires:	mono-data-sqlite
BuildRequires:	pkgconfig(mono)
BuildArch:	noarch

%description
log4net is a tool to help the programmer output log statements to a
variety of output targets. log4net is a port of the excellent log4j
framework to the .NET runtime

%package devel
Summary:	A .NET framework for logging
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	pkgconfig

%description devel
log4net is a tool to help the programmer output log statements to a
variety of output targets. log4net is a port of the excellent log4j
framework to the .NET runtime

%prep
%setup -q
%autopatch -p1
sed -i 's/\r//' NOTICE
sed -i 's/\r//' README.txt
sed -i 's/\r//' LICENSE
# Remove prebuilt dll files
rm -rf bin/

# Fix for mono 4
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;

# Use system mono.snk key
sed -i -e 's!"..\\..\\..\\log4net.snk")]!"/etc/pki/mono/mono.snk")]!' src/AssemblyInfo.cs
sed -i -e 's!|| SSCLI)!|| SSCLI || MONO)!' src/AssemblyInfo.cs

%build
# ASF recommend using nant to build log4net
xbuild /property:Configuration=Debug /property:DefineConstants=DEBUG,MONO,STRONG src/log4net.vs2010.csproj
#nant -buildfile:log4net.build -t:mono-2.0 compile-all

%install
mkdir -p %{buildroot}/%{_datadir}/pkgconfig
cp %{S:1} %{buildroot}/%{_datadir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT/%{_monogacdir}
gacutil -i build/bin/net/*/debug/log4net.dll -f -package log4net -root ${RPM_BUILD_ROOT}/%{_prefix}/lib

%files
%{_monogacdir}/log4net
%{_monodir}/log4net
%doc LICENSE NOTICE README.txt

%files devel
%{_datadir}/pkgconfig/log4net.pc




%changelog
* Fri Apr 01 2022 umeabot <umeabot> 2.0.8-7.mga9
+ Revision: 1838499
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 2.0.8-6.mga8
+ Revision: 1629240
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 2.0.8-5.mga8
+ Revision: 1629174
- rebuild for new mono

* Fri May 22 2020 neoclust <neoclust> 2.0.8-4.mga8
+ Revision: 1586835
- Add P0 to fix CVE-2018-1285 (mga#26608)

* Wed Feb 12 2020 umeabot <umeabot> 2.0.8-3.mga8
+ Revision: 1501929
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.8-2.mga7
+ Revision: 1279206
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 kekepower <kekepower> 2.0.8-1.mga7
+ Revision: 1215156
- Update to version 2.0.8

* Mon Dec 28 2015 tv <tv> 1.2.15-1.mga6
+ Revision: 916227
- drop BR on nant
- use mono macros
- use xbuild insted nant for prevent recursive required (Nant need log4net)
- drop support for mga1 and later
- drop patch 0
- mono4 fixes
- add more BRs
- kill useless BR on unzip
- new version

* Wed Oct 15 2014 umeabot <umeabot> 1.2.10-10.mga5
+ Revision: 747512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.10-9.mga5
+ Revision: 681983
- Mageia 5 Mass Rebuild

* Wed Jan 01 2014 pterjan <pterjan> 1.2.10-8.mga4
+ Revision: 563885
- Fix build
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.10-6.mga3
+ Revision: 358927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 20 2012 steletch <steletch> 1.2.10-5.mga2
+ Revision: 198849
- imported package log4net


* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-5mdv2011.0
+ Revision: 666092
- mass rebuild

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 1.2.10-4mdv2011.0
+ Revision: 585639
- sign with central key

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 1.2.10-3mdv2011.0
+ Revision: 585610
- patch to ignore build warnings
- remove .NET 1.0 binary

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.10-2mdv2010.0
+ Revision: 412997
- Fix location of pkgconfig file

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.10-1mdv2010.0
+ Revision: 412964
- First package, based on Fedora's and SUSE's SPECs
- create log4net

